$(function() {
    var numEntries = 0;
    var numFiles = 0;
    var stats = $("#stats");
    
    function updateStatsText() {
	console.log("Updating counts!");
	stats.html("Currently we have " + numEntries + " log entries in " +
		   numFiles + " log files.");
    }

    function updateStats() {
	var numUpdated = 0;
	
	$.getJSON("/count", function(v) {
	    numEntries = v.count;
	    numUpdated++;
	    if (numUpdated >=2) {
		updateStatsText();
	    }
	});
	$.getJSON("/storedFileCount", function(v) {
	    numFiles = v.count;
	    numUpdated++;
	    if (numUpdated >=2) {
		updateStatsText();
	    }
	});
    }
    
    updateStats();
});
